Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007097 [DCSS] Bug Report tweak always 2013-05-28 20:44 2013-08-10 05:10
Reporter XuaXua View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.13 ancient branch
Summary 0007097: Corrosion message is incorrect
Description When acid corrodes armour, the resulting message is misleading.

If you are wearing +2 gloves and are hit, the message is:

"The acid corrodes your +1 pair of gloves!"

The text implies the gloves were +1 and now no longer are, which is not the case.

The simplest change, rather than pre-generate the sentence or re-order the acid application would be to alter the sentence:

"The corrosion reduces your armour to a +1 pair of gloves."

While it is longer, the sentence is properly informative. I removed mention of "acid" as the prior sentence usually refers directly to acid, making its mention redundant.
Additional Information
Tags No tags attached.
Attached Files ? file icon fix_0007097.patch [^] (1,457 bytes) 2013-07-17 19:59 [Show Content]
? file icon correct_fix_0007097.patch [^] (1,361 bytes) 2013-07-17 21:13 [Show Content]

- Relationships

-  Notes
(0023482)
MarvinPA (developer)
2013-07-17 23:36

Pushed, thanks for the patch.

- Issue History
Date Modified Username Field Change
2013-05-28 20:44 XuaXua New Issue
2013-07-17 19:59 CaptainHaddock File Added: fix_0007097.patch
2013-07-17 20:40 Medar Issue Monitored: Medar
2013-07-17 21:13 CaptainHaddock File Added: correct_fix_0007097.patch
2013-07-17 23:36 MarvinPA Note Added: 0023482
2013-07-17 23:36 MarvinPA Status new => resolved
2013-07-17 23:36 MarvinPA Fixed in Branch => 0.13 development branch
2013-07-17 23:36 MarvinPA Resolution open => done
2013-07-17 23:36 MarvinPA Assigned To => MarvinPA
2013-08-10 05:10 XuaXua Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker